#### TFTP

[![Code Climate](https://codeclimate.com/github/p3ll0n/tftp.png)](https://codeclimate.com/github/p3ll0n/tftp)

tftp is a pure Ruby TFTP library.

It includes client and server classes, with sample implementations.

##### The TFTP Protocol

Trivial File Transfer Protocol (TFTP) is a file transfer protocol implemented 
on top of the User Datagram Protocol (UDP) notable for its simplicity.

Its simple design makes it ideal for low memory platforms where it is commonly
used for booting devices without any storage (routers) and as a part of 
network based installation systems.

TFTP is currently defined by RFC 1350.

Due to its complete lack of an authentication mechanism it is strongly advised
the TFTP run only one private, local networks. 
