# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'tftp/version'

Gem::Specification.new do |spec|
  spec.name           = "tftp"
  spec.version        = Tftp::VERSION
  spec.authors        = ["Michael Pellon"]
  spec.email          = ["michael@p3ll0n.net"]
  spec.description    = %q{A pure Ruby TFTP library.}
  spec.summary        = %q{A pure Ruby TFTP library.}
  spec.homepage       = "https://github.com/p3ll0n/tftp"
  spec.license        = "ISC"

  spec.files          = `git ls-files`.split("\n")
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/}) 
  spec.require_paths  = ["lib"]
 
  spec.add_dependency "bindata", "~> 1.5.0"

  spec.add_development_dependency "rake", "~> 10.1.0"
  spec.add_development_dependency "rspec", "~> 2.14.1"
  spec.add_development_dependency "should_not", "~> 1.0.0"
end
